import { Component, OnInit } from '@angular/core';
import {ChangelogModel} from '../models/changelog.model';
import {ApiService} from '../services/api.service';

@Component({
  selector: 'app-changelog',
  templateUrl: './changelog.component.html',
  styleUrls: ['./changelog.component.scss']
})
export class ChangelogComponent implements OnInit {

  timestamp = new Date();
  pageSize = 25;
  changelog: ChangelogModel[] = [];

  constructor(
    private api: ApiService
  ) { }

  ngOnInit(): void {
    this.loadChangelog();
  }

  loadChangelog(page = 0) {
    this.api.get<ChangelogModel[]>(`/changelog/${this.timestamp.toISOString()}/${page}/${this.pageSize}`, data => {
      this.changelog = data.map(e => new ChangelogModel().deserialize(e));
      this.timestamp = new Date(this.changelog[0].date);
      console.log(this.changelog);
    });
  }

}
